Redmine - Defect #9389

repository commits time messages are not applied

2011-10-07 22:00 - alan blount

Status: Closed Start date: 2011-10-07
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.2.1
Description

| have reviewed:

e http://www.redmine.org/issues/7630
e hitp://www.redmine.org/issues/4155

The repository commits are associating with the correct issue, but the time tracking isn't applied.

e There's an active time activity for the settings/repository.
¢ My email address was changed to exactly match the email used in my redmine account
o you can confirm this is right in a screenshot of the dashboard it shows as a commit by me

About your application's environment

Ruby version 1.8.7 (x86_64-1inux)
RubyGems version 1.3.7

Rack version 1.1.2

Rails version 2.3.11

Active Record version 2.3.11

Active Resource version 2.3.11

Action Mailer version 2.3.11

Active Support version 2.3.11

Environment production

Database adapter mysqgl

Database schema version 20110511000000

About your Redmine plugins

Redmine Better Gantt Chart plugin
Redmine Application Menu Adds plugin

Redmine OpenID Selector plugin
History

#1 - 2011-10-08 13:15 - Etienne Massip
- Category set to SCM extra

#2 - 2011-10-09 02:23 - Toshi MARUYAMA
- Category changed from SCM extra to SCM

#3 - 2011-10-09 02:25 - Toshi MARUYAMA

Do you map Redmine user and SCM commit user?

Do you assign Redmine user to project?

#4 - 2011-10-10 04:48 - alan blount

Sorry | don't think so. The email addresses are exactly the same, but | have not setup any sort of User Mapping.

| just looked it up and the wiki information on it is "TODO":

http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Repository-user-mapping

Would you like to educate me?
http://www.redmine.org/issues/7630
http://www.redmine.org/issues/4155
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Repository-user-mapping

#5 - 2011-10-10 09:12 - Toshi MARUYAMA
- File repo-user.png added
#6 - 2011-10-12 16:31 - alan blount

Excellent - thanks - | have updated the wiki.
| have made the mappings on my project.

I'll be experimentating today and will update this ticket accordingly.

#7 - 2011-11-27 04:45 - Mischa The Evil

alan blount wrote:
I'll be experimentating today and will update this ticket accordingly.
Any progress?

#8 - 2011-11-28 19:57 - alan blount

- Status changed from New to Resolved

Yes indeed -- once the mappings were done, we've had no issues -- thanks much!

#9 - 2011-11-28 20:01 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid
